
/**
 * 文件名   :   TaskOperateData.java
 * 版权       :   <版权/公司名>
 * 描述       :   <描述>
 * @author  liliy
 * 版本       :   <版本>
 * 修改时间：      2016年11月2日
 * 修改内容：      <修改内容>
 */
package com.base;

import java.util.ArrayList;
import java.util.List;

import com.platform.glusterfs.SetCluster;
import com.platform.utils.Constant;
import com.platform.utils.Support;

/**
 * 数据操作中记录 <功能详细描述>
 * 
 * @author liliy
 * @version [版本号，2016年11月2日]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */

public class TaskOperateData {
	/**
	 * 数据状态，0：准备迁移，1：表示正在迁移，2：表示迁移完成，正在MD5校验，3：表示校验成功，-1：表示迁移完成，校验失败,-2:表示迁移失败
	 * 4:表示正在删除，5：表示删除完成，-3：表示删除失败
	 */
	private int status = 1;

	/**
	 * 任务完成后返回状态
	 */
	// private int taskReturn = 0;

	/**
	 * 任务拷贝数据总大小，以字节为单位
	 */
	private Long allSize = 0L;
	/**
	 * 已经拷贝了的大小
	 */
	private Long completedSize = 0L;
	/**
	 * 进度
	 */
	private int progress = 0;

	/**
	 * 源路径和目的路径
	 */
	private String sourcePath = null;
	/** 目的路径 */
	private String destPath = null;

	/**
	 * 删除任务数据
	 */
	private String removeDataName = null;

	/**
	 * 任务的开始时间和结束时间
	 */
	private String startTime = null;
	/** 结束时间 */
	private String endTime = null;
	/**
	 * @return the status
	 */
	public int getStatus() {
		return status;
	}
	/**
	 * @param status the status to set
	 */
	public void setStatus(int status) {
		this.status = status;
	}
	/**
	 * @return the allSize
	 */
	public Long getAllSize() {
		return allSize;
	}
	/**
	 * @param allSize the allSize to set
	 */
	public void setAllSize(Long allSize) {
		this.allSize = allSize;
	}
	/**
	 * @return the completedSize
	 */
	public Long getCompletedSize() {
		return completedSize;
	}
	/**
	 * @param completedSize the completedSize to set
	 */
	public void setCompletedSize(Long completedSize) {
		this.completedSize = completedSize;
	}
	/**
	 * @return the progress
	 */
	public int getProgress() {
		return progress;
	}
	/**
	 * @param progress the progress to set
	 */
	public void setProgress(int progress) {
		this.progress = progress;
	}
	
	/**
	 * @return the sourcePath
	 */
	public String getSourcePath() {
		return sourcePath;
	}
	/**
	 * @param sourcePath the sourcePath to set
	 */
	public void setSourcePath(String sourcePath) {
		this.sourcePath = sourcePath;
	}
	/**
	 * @return the destPath
	 */
	public String getDestPath() {
		return destPath;
	}
	/**
	 * @param destPath the destPath to set
	 */
	public void setDestPath(String destPath) {
		this.destPath = destPath;
	}
	/**
	 * @return the removeDataName
	 */
	public String getRemoveDataName() {
		return removeDataName;
	}
	/**
	 * @param removeDataName the removeDataName to set
	 */
	public void setRemoveDataName(String removeDataName) {
		this.removeDataName = removeDataName;
	}
	/**
	 * @return the startTime
	 */
	public String getStartTime() {
		return startTime;
	}
	/**
	 * @param startTime the startTime to set
	 */
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	/**
	 * @return the endTime
	 */
	public String getEndTime() {
		return endTime;
	}
	/**
	 * @param endTime the endTime to set
	 */
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

}
